Skip to main content
GET
Get historical candlestick data for token by id

Headers

x-api-key
string
default:875e1017-87b8-4b12-8301-6aa1f1aa073b
required

API key for authentication. The demo api key provided is globally rate limited. Do not use in production.

Path Parameters

tokenId
string
required

Token id (shard.realm.num)

Example:

"0.0.731861"

Query Parameters

from
integer
required

From unix seconds

Example:

1697600000

to
integer
required

To unix seconds

Example:

1697610000

interval
enum<string>
required

Data interval

Available options:
FIVEMIN,
HOUR,
DAY,
WEEK
Example:

"HOUR"

Response

200 - application/json

Successful response

tokenId
string
required

Token id (shard.realm.num)

Example:

"0.0.731861"

open
integer
required

The open price of the token in tinybars (i.e. first minutely observation over the INTERVAL)

Example:

36358807

openUsd
number<float>
required

The open price of the token in USD (i.e. first minutely observation over the INTERVAL)

Example:

0.017246927356274498

high
integer
required

The high price of the token over the INTERVAL, in tinybars

Example:

36370090

highUsd
number<float>
required

The high price of the token over the INTERVAL, in USD

Example:

0.017248478665373164

low
integer
required

The low price of the token over the INTERVAL, in tinybars

Example:

36334867

lowUsd
number<float>
required

The low price of the token over the INTERVAL, in USD

Example:

0.0169388611613325

close
integer
required

The close price of the token over the INTERVAL, in tinybars

Example:

36353193

closeUsd
number<float>
required

The close price of the token over the INTERVAL, in USD

Example:

0.0169388611613325

avg
number<float>
required

The (minutely) avg price of the token over the INTERVAL, in tinybars

Example:

36347000.92028988

avgUsd
number<float>
required

The (minutely) avg price of the token over the INTERVAL, in USD

Example:

0.017085609229304164

volume
string
required

The sum of total volume traded of the token over the INTERVAL, in tinybars

Example:

"4484168318250"

liquidity
string
required

The point in time liquidity of the token, as of timestampSeconds (the end timestamp of the INTERVAL), in tinybars

Example:

"5976854242691456"

volumeUsd
number<float>
required

The sum of total volume traded of the token over the INTERVAL, in USD

Example:

2110.33

liquidityUsd
string<float>
required

The point in time liquidity of the token, as of timestampSeconds (the end timestamp of the INTERVAL), in USD

Example:

2784930.18

timestampSeconds
integer
required

The end unix timestamp of the INTERVAL, in seconds

Example:

1697681880

startTimestampSeconds
integer
required

The start unix timestamp of the INTERVAL, in seconds

Example:

1697673600